Package com.google.android.exoplayer2.extractor.flac

## Class FlacConstants

- java.lang.Object
- - com.google.android.exoplayer2.extractor.flac.FlacConstants

-     public final class FlacConstants
      extends Object

  Defines constants used by the FLAC extractor.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_FRAME_HEADER_SIZE` | Maximum size of a FLAC frame header in bytes.
    `static int` | `METADATA_BLOCK_HEADER_SIZE` | Size of the header of a FLAC metadata block in bytes.
    `static int` | `METADATA_TYPE_PICTURE` | Picture metadata block type.
    `static int` | `METADATA_TYPE_SEEK_TABLE` | Seek table metadata block type.
    `static int` | `METADATA_TYPE_STREAM_INFO` | Stream info metadata block type.
    `static int` | `METADATA_TYPE_VORBIS_COMMENT` | Vorbis comment metadata block type.
    `static int` | `MIN_FRAME_HEADER_SIZE` | Minimum size of a FLAC frame header in bytes.
    `static int` | `STREAM_INFO_BLOCK_SIZE` | Size of the FLAC stream info block (header included) in bytes.
    `static int` | `STREAM_MARKER_SIZE` | Size of the FLAC stream marker in bytes.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_MARKER_SIZE

          public static final int STREAM_MARKER_SIZE

      Size of the FLAC stream marker in bytes.
      See Also:
        Constant Field Values

    - #### METADATA_BLOCK_HEADER_SIZE

          public static final int METADATA_BLOCK_HEADER_SIZE

      Size of the header of a FLAC metadata block in bytes.
      See Also:
        Constant Field Values

    - #### STREAM_INFO_BLOCK_SIZE

          public static final int STREAM_INFO_BLOCK_SIZE

      Size of the FLAC stream info block (header included) in bytes.
      See Also:
        Constant Field Values

    - #### MIN_FRAME_HEADER_SIZE

          public static final int MIN_FRAME_HEADER_SIZE

      Minimum size of a FLAC frame header in bytes.
      See Also:
        Constant Field Values

    - #### MAX_FRAME_HEADER_SIZE

          public static final int MAX_FRAME_HEADER_SIZE

      Maximum size of a FLAC frame header in bytes.
      See Also:
        Constant Field Values

    - #### METADATA_TYPE_STREAM_INFO

          public static final int METADATA_TYPE_STREAM_INFO

      Stream info metadata block type.
      See Also:
        Constant Field Values

    - #### METADATA_TYPE_SEEK_TABLE

          public static final int METADATA_TYPE_SEEK_TABLE

      Seek table metadata block type.
      See Also:
        Constant Field Values

    - #### METADATA_TYPE_VORBIS_COMMENT

          public static final int METADATA_TYPE_VORBIS_COMMENT

      Vorbis comment metadata block type.
      See Also:
        Constant Field Values

    - #### METADATA_TYPE_PICTURE

          public static final int METADATA_TYPE_PICTURE

      Picture metadata block type.
      See Also:
        Constant Field Values